Page MenuHomeLubuntu Development

figure out why we have golang in our packageset
Closed, ResolvedPublic

Description

Our packageset, which is essentially those packages we are responsible for, includes NINETY Go packages:

- go-md2man
- golang-blackfriday
- golang-check.v1
- golang-dbus
- golang-fsnotify
- golang-github-alecthomas-units
- golang-github-armon-consul-api
- golang-github-beorn7-perks
- golang-github-bgentry-speakeasy
- golang-github-cockroachdb-cmux
- golang-github-coreos-bbolt
- golang-github-coreos-go-systemd
- golang-github-coreos-pkg
- golang-github-coreos-semver
- golang-github-davecgh-go-spew
- golang-github-dghubble-sling
- golang-github-dgrijalva-jwt-go-v3
- golang-github-dustin-go-humanize
- golang-github-ghodss-yaml
- golang-github-go-kit-kit
- golang-github-go-logfmt-logfmt
- golang-github-go-stack-stack
- golang-github-golang-groupcache
- golang-github-golang-mock
- golang-github-google-btree
- golang-github-google-go-cmp
- golang-github-google-go-querystring
- golang-github-googleapis-gax-go
- golang-github-grpc-ecosystem-go-grpc-prometheus
- golang-github-grpc-ecosystem-grpc-gateway
- golang-github-hashicorp-hcl
- golang-github-inconshreveable-mousetrap
- golang-github-jonboulle-clockwork
- golang-github-julienschmidt-httprouter
- golang-github-kr-fs
- golang-github-magiconair-properties
- golang-github-mattn-go-runewidth
- golang-github-mitchellh-go-homedir
- golang-github-mitchellh-mapstructure
- golang-github-mwitkow-go-conntrack
- golang-github-olekukonko-tablewriter
- golang-github-opentracing-opentracing-go
- golang-github-pelletier-go-buffruneio
- golang-github-pelletier-go-toml
- golang-github-pkg-errors
- golang-github-pkg-sftp
- golang-github-pmezard-go-difflib
- golang-github-prometheus-client-golang
- golang-github-prometheus-client-model
- golang-github-prometheus-common
- golang-github-rogpeppe-fastuuid
- golang-github-shurcool-sanitized-anchor-name
- golang-github-spf13-afero
- golang-github-spf13-cast
- golang-github-spf13-cobra
- golang-github-spf13-jwalterweatherman
- golang-github-spf13-pflag
- golang-github-spf13-viper
- golang-github-ugorji-go-codec
- golang-github-urfave-cli
- golang-github-xiang90-probing
- golang-github-xordataexchange-crypt
- golang-glog
- golang-go.crypto
- golang-gogoprotobuf
- golang-golang-x-net-dev
- golang-golang-x-oauth2
- golang-golang-x-sync
- golang-golang-x-sys
- golang-golang-x-time
- golang-golang-x-tools
- golang-google-api
- golang-google-appengine
- golang-google-cloud
- golang-google-genproto
- golang-google-grpc
- golang-gopkg-alecthomas-kingpin.v2
- golang-gopkg-cheggaaa-pb.v1
- golang-goprotobuf
- golang-logrus
- golang-objx
- golang-pretty
- golang-procfs
- golang-protobuf-extensions
- golang-pty
- golang-testify
- golang-text
- golang-toml
- golang-x-text
- golang-yaml.v2

I can't imagine why we would need to be responsible for these and it would be best to not be considered a responsible party. I'm especially concerned because Go is so far reaching.

@tsimonq2 said that the DMB and perhaps more specifically cyphermox is the right person to contact about this.

Bonus points for figuring out some other strange packages:

  • galternatives - graphical setup tool for the alternatives system (GTK!)
  • chafa - Image-to-text converter supporting a wide range of symbols, etc.
  • muparser - fast mathematical expressions parser library

Event Timeline

wxl created this task.Apr 10 2019, 10:49 PM

@wxl This involves removing ubuntu-report from the seeds and cyphermox regenerating the packageset, I think.

We don't even use ubuntu-report, I forgot why we added it in the first place -_-

wxl added a subscriber: hmollercl.

Despite the fact that @tsimonq2 added ubuntu-report himself, it sounds like the consensus is to remove it.

I think I heard @hmollercl looking into why we have galternatives, too.

wxl triaged this task as Normal priority.Apr 12 2019, 1:21 PM
hmollercl added a comment.EditedApr 12 2019, 1:32 PM

lxqt-config recommends galternatives

So. how do we go about removing ubuntu-report? Which repo should I clone?

wxl added a comment.Apr 12 2019, 5:53 PM

@The_LoudSpeaker clone rSEED and remove the line (if I remember there's only one) that includes (ubuntu-report). I guess technically the seed isn't even a "package" in that there's no debian folder. Just clone, make changes, add, and arc land.

wxl added a comment.Apr 13 2019, 2:34 PM

@tsimonq2 I see that you accepted D7: Removed ubuntu-report for disco. As of 20190413.1, ubuntu-report is still in there. Did we get it in too late for the ISO to build with it? (Also a side question: are seeds germinated as part of the ISO creation process or does that have its own cron job?).

Did we get it in too late for the ISO to build with it? (Also a side question: are seeds germinated as part of the ISO creation process or does that have its own cron job?).

I doubt that's the case; I can respin it one more time if you want to be sure? I really thought it was a cron job that was set off something like every five minutes.

Could you investigate whether it's in any of the platform seeds? If it is, we should absolutely axe it.

To be sure though, I'll update lubuntu-meta and upload it real quick.

wxl added a comment.Apr 13 2019, 2:56 PM

I can confirm ubuntu-report is not in the platform seeds, at least in that I ran grep -R ubuntu-report * in the repo with no results.

wxl removed a subtask: T1: Lubuntu 19.04.
wxl added a parent task: T1: Lubuntu 19.04.

fixed!

$ wget --quiet -O - http://cdimage.ubuntu.com/lubuntu/daily-live/20190413.1/disco-desktop-amd64.manifest
ubuntu report   1.4.1
$ wget --quiet -O - http://cdimage.ubuntu.com/lubuntu/daily-live/20190413.2/disco-desktop-amd64.manifest
$
wxl added a comment.Apr 13 2019, 5:48 PM

…but the golang stuff is still in our packageset. @tsimonq2 ?

Packageset updates are manual, and I poked cyphermox at one point. I'll poke him again, at which point we can close this task, I think.

wxl closed this task as Resolved.Apr 17 2019, 12:46 AM

Looks like the golang stuff is gone. The others would be nice to remove, but we took care of the big stuff.